Subject: Re: bug#47388: 27.1; eldoc-documentation-function is ignore in updated eldoc

From: João Távora <[email-masked]>
Date: Fri, 26 Mar 2021 19:57:12 +0000

Alex Branham <[email-masked]> writes:

> On Fri 26 Mar 2021 at 18:50, João Távora <[email-masked]> wrote:
>
>> Alex, exactly under what circunstances do you see that "There is no
>> ElDoc support in this buffer"?  In what buffer, doing what?  I
>> appreciate that you have investigated the implementation, but I need to
>> be able to understand -- and potentially reproduce -- the problem

> 7. At this point, eldoc-documentation-function will be #'ignore so eg
                                                       ^^^^^^^^ 
So this is where I'm completely baffled.  You say this ||||||||

But earlier you said, accurately, in fact it was your first sentence, that:

>>>> Emacs 27.1 ships with eldoc that defines
>>>> eldoc-documentation-function as #'ignore.

So if it was #'ignore and still is #'ignore what exactly is the
difference that (require 'eldoc) or (require 'eglot) is introducing??

João